## List supported filters for a metric route

**post** `/v2/reports/filter-capabilities`

Returns the filter attribute IDs supported by the selected metric and optional grouping route.

Use this operation before constructing metric-level filters. It applies the same routing rules as the dashboard and prevents clients from offering filters that the selected metric, group, or segment path cannot execute.

### Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer, and only for workspaces with the Reports product enabled (404 otherwise).

### Header Parameters

- `"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"`

  - `"2026-08-19.orbit"`

  - `"2026-01-01.nova"`

  - `"2025-12-12.clover"`

### Body Parameters

- `metricId: string`

- `groupBy: optional string`

- `segmentBy: optional string`

### Returns

- `object: "report_metric_filter_capabilities"`

  - `"report_metric_filter_capabilities"`

- `supportedFilterAttributeIds: array of string`

### Example

```http
curl https://do.featurebase.app/v2/reports/filter-capabilities \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{
          "metricId": "x"
        }'
```

#### Response

```json
{
  "object": "report_metric_filter_capabilities",
  "supportedFilterAttributeIds": [
    "string"
  ]
}
```
